## wxDateEvent

This event class holds information about a date change and is used together with wxDatePickerCtrl. It also serves as a base class for wxCalendarEvent.

Derived from

wxCommandEvent
wxEvent
wxObject

Include files

<wx/dateevt.h>

Members

wxDateEvent::GetDate
wxDateEvent::SetDate

### wxDateEvent::GetDate

const wxDateTime& GetDate() const

Returns the date.

### wxDateEvent::SetDate

void SetDate(const wxDateTime& date)

Sets the date carried by the event, normally only used by the library internally.